#version 150 core

uniform mat4 mvp_matrix;

in  vec4 in_position;
in  vec3 in_color;
in vec2 in_textureCoordinate;
out vec3 ex_color;
out vec2 ex_textureCoordinate;

void main(void)
{
	gl_Position = mvp_matrix * in_position;
	ex_color = in_color;
	ex_textureCoordinate = in_textureCoordinate;
}